MONGOC_COLLECTION_CREATE_INDEX(3)

NAME
mongoc_collection_create_index - mongoc_collection_create_index()

WARNING: Deprecated since version 1.8.0: This function is deprecated and should not be used in new code. See Manage Collection Indexes.

SYNOPSIS

bool
mongoc_collection_create_index (mongoc_collection_t *collection,
                                const bson_t *keys,
                                const mongoc_index_opt_t *opt,
                                bson_error_t *error) BSON_GNUC_DEPRECATED;

PARAMETERS

•   collection: A mongoc_collection_t.

•   keys: A bson_t.

•   opt: A mongoc_index_opt_t.

•   error: An optional location for a bson_error_t or NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc